<?php 

	if (Session::get("tipo_usuario") != "5"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$mensagem = filter_input(INPUT_POST, "mensagem", FILTER_DEFAULT);
		$id_caixa_mensagem = encrypt_decode(filter_input(INPUT_POST, "id_caixa_mensagem", FILTER_SANITIZE_STRING));
		
		$anexo = upload_file($_FILES["arquivo"], "anexos/");
		$dir_anexo = (!empty($anexo[0])) ? $anexo[0] : null;
	
		$model = new Model();

		$datahora = date("Y-m-d H:i:s");

		$result = $model->insert("mensagem", [
			"mensagem" => $mensagem,
			"anexo_mensagem" => $dir_anexo,
			"id_usuario" => Session::get("id_usuario"),
			"id_caixa_mensagem" => $id_caixa_mensagem,
			"datahora_mensagem" => $datahora,
			"visualizado_mensagem" => "N",
			"status_mensagem" => "S"
		]);

		if ($result > 0) {
			$last_query = $model->lastQuery();
			$model->insert("historico", [
				"comando_sql" => $last_query,
				"datahora_acao" => date("Y-m-d H:i:s"),
				"id_usuario" => Session::get("id_usuario")
			]);

			$model->commit();
			echo json_encode(["status" => true, "dados" => ["mensagem" => $mensagem, "anexo_mensagem" => (!empty($dir_anexo)) ? show_link($dir_anexo) : null, "datahora_mensagem" => date("d/m/Y H:i", strtotime($datahora))]]);
		}
		else{
			$model->rollback();
			echo json_encode(["status" => false]);
		}
	}
	else{
		show_403();
	}

?>